<?php
/**
 * This file aims to show you how to use this generated package.
 * In addition, the goal is to show which methods are available and the first needed parameter(s)
 * You have to use an associative array such as:
 * - the key must be a constant beginning with WSDL_ from AbstractSoapClientBase class (each generated ServiceType class extends this class)
 * - the value must be the corresponding key value (each option matches a {@link http://www.php.net/manual/en/soapclient.soapclient.php} option)
 * $options = array(
 * \WsdlToPhp\PackageBase\AbstractSoapClientBase::WSDL_URL => 'https://wd3-impl-services1.workday.com/ccx/service/daw/Recruiting/v38.2/?wsdl',
 * \WsdlToPhp\PackageBase\AbstractSoapClientBase::WSDL_TRACE => true,
 * \WsdlToPhp\PackageBase\AbstractSoapClientBase::WSDL_LOGIN => 'you_secret_login',
 * \WsdlToPhp\PackageBase\AbstractSoapClientBase::WSDL_PASSWORD => 'you_secret_password',
 * );
 * etc...
 */
require_once __DIR__ . '/vendor/autoload.php';
/**
 * Minimal options
 */
$options = array(
    \WsdlToPhp\PackageBase\AbstractSoapClientBase::WSDL_URL => 'https://wd3-impl-services1.workday.com/ccx/service/daw/Recruiting/v38.2/?wsdl',
    \WsdlToPhp\PackageBase\AbstractSoapClientBase::WSDL_CLASSMAP => ClassMap::get(),
);
/**
 * Samples for Get ServiceType
 */
$get = new \ServiceType\Get($options);
$get->setSoapHeaderWorkday_Common_Header($Workday_Common_Header);
/**
 * Sample call for Get_Server_Timestamp operation/method
 */
if ($get->Get_Server_Timestamp(new \StructType\Server_Timestamp_GetType()) !== false) {
    print_r($get->getResult());
} else {
    print_r($get->getLastError());
}
/**
 * Sample call for Get_Applicants operation/method
 */
if ($get->Get_Applicants(new \StructType\Get_Applicants_RequestType()) !== false) {
    print_r($get->getResult());
} else {
    print_r($get->getLastError());
}
/**
 * Sample call for Get_Positions operation/method
 */
if ($get->Get_Positions(new \StructType\Get_Positions_RequestType()) !== false) {
    print_r($get->getResult());
} else {
    print_r($get->getLastError());
}
/**
 * Sample call for Get_Organizations operation/method
 */
if ($get->Get_Organizations(new \StructType\Get_Organizations_RequestType()) !== false) {
    print_r($get->getResult());
} else {
    print_r($get->getLastError());
}
/**
 * Sample call for Get_Job_Requisitions operation/method
 */
if ($get->Get_Job_Requisitions(new \StructType\Get_Job_Requisitions_RequestType()) !== false) {
    print_r($get->getResult());
} else {
    print_r($get->getLastError());
}
/**
 * Sample call for Get_Candidates operation/method
 */
if ($get->Get_Candidates(new \StructType\Get_Candidates_RequestType()) !== false) {
    print_r($get->getResult());
} else {
    print_r($get->getLastError());
}
/**
 * Sample call for Get_Candidate_Attachments operation/method
 */
if ($get->Get_Candidate_Attachments(new \StructType\Get_Candidate_Attachments_RequestType()) !== false) {
    print_r($get->getResult());
} else {
    print_r($get->getLastError());
}
/**
 * Sample call for Get_Job_Posting_Sites operation/method
 */
if ($get->Get_Job_Posting_Sites(new \StructType\Get_Job_Posting_Sites_RequestType()) !== false) {
    print_r($get->getResult());
} else {
    print_r($get->getLastError());
}
/**
 * Sample call for Get_Candidate_Photos operation/method
 */
if ($get->Get_Candidate_Photos(new \StructType\Get_Candidate_Photos_RequestType()) !== false) {
    print_r($get->getResult());
} else {
    print_r($get->getLastError());
}
/**
 * Sample call for Get_Background_Check_Packages operation/method
 */
if ($get->Get_Background_Check_Packages(new \StructType\Get_Background_Check_Packages_RequestType()) !== false) {
    print_r($get->getResult());
} else {
    print_r($get->getLastError());
}
/**
 * Sample call for Get_Background_Check operation/method
 */
if ($get->Get_Background_Check(new \StructType\Get_Background_Check_RequestType()) !== false) {
    print_r($get->getResult());
} else {
    print_r($get->getLastError());
}
/**
 * Sample call for Get_Job_Postings operation/method
 */
if ($get->Get_Job_Postings(new \StructType\Get_Job_Postings_RequestType()) !== false) {
    print_r($get->getResult());
} else {
    print_r($get->getLastError());
}
/**
 * Sample call for Get_Questionnaires operation/method
 */
if ($get->Get_Questionnaires(new \StructType\Get_Questionnaires_RequestType()) !== false) {
    print_r($get->getResult());
} else {
    print_r($get->getLastError());
}
/**
 * Sample call for Get_Assess_Candidate operation/method
 */
if ($get->Get_Assess_Candidate(new \StructType\Get_Assess_Candidate_RequestType()) !== false) {
    print_r($get->getResult());
} else {
    print_r($get->getLastError());
}
/**
 * Sample call for Get_Evergreen_Requisitions operation/method
 */
if ($get->Get_Evergreen_Requisitions(new \StructType\Get_Evergreen_Requisitions_RequestType()) !== false) {
    print_r($get->getResult());
} else {
    print_r($get->getLastError());
}
/**
 * Sample call for Get_Recruiting_Agency_Users operation/method
 */
if ($get->Get_Recruiting_Agency_Users(new \StructType\Get_Recruiting_Agency_Users_RequestType()) !== false) {
    print_r($get->getResult());
} else {
    print_r($get->getLastError());
}
/**
 * Sample call for Get_Job_Application_Additional_Data operation/method
 */
if ($get->Get_Job_Application_Additional_Data(new \StructType\Get_Job_Application_Additional_Data_RequestType()) !== false) {
    print_r($get->getResult());
} else {
    print_r($get->getLastError());
}
/**
 * Sample call for Get_Recruiting_Agencies operation/method
 */
if ($get->Get_Recruiting_Agencies(new \StructType\Get_Recruiting_Agencies_RequestType()) !== false) {
    print_r($get->getResult());
} else {
    print_r($get->getLastError());
}
/**
 * Sample call for Get_Recruiting_Agency_Additional_Data operation/method
 */
if ($get->Get_Recruiting_Agency_Additional_Data(new \StructType\Get_Recruiting_Agency_Additional_Data_RequestType()) !== false) {
    print_r($get->getResult());
} else {
    print_r($get->getLastError());
}
/**
 * Sample call for Get_Job_Requisition_Interview_Settings operation/method
 */
if ($get->Get_Job_Requisition_Interview_Settings(new \StructType\Get_Job_Requisition_Interview_Settings_RequestType()) !== false) {
    print_r($get->getResult());
} else {
    print_r($get->getLastError());
}
/**
 * Sample call for Get_Interviews operation/method
 */
if ($get->Get_Interviews(new \StructType\Get_Interviews_RequestType()) !== false) {
    print_r($get->getResult());
} else {
    print_r($get->getLastError());
}
/**
 * Sample call for Get_Interview_Feedbacks operation/method
 */
if ($get->Get_Interview_Feedbacks(new \StructType\Get_Interview_Feedbacks_RequestType()) !== false) {
    print_r($get->getResult());
} else {
    print_r($get->getLastError());
}
/**
 * Sample call for Get_Veteran_Statuses operation/method
 */
if ($get->Get_Veteran_Statuses(new \StructType\Get_Veteran_Statuses_RequestType()) !== false) {
    print_r($get->getResult());
} else {
    print_r($get->getLastError());
}
/**
 * Sample call for Get_Recruiting_Self_Schedule_Calendar_Types operation/method
 */
if ($get->Get_Recruiting_Self_Schedule_Calendar_Types(new \StructType\Get_Recruiting_Self_Schedule_Calendar_Types_RequestType()) !== false) {
    print_r($get->getResult());
} else {
    print_r($get->getLastError());
}
/**
 * Sample call for Get_Assign_Recruiting_Self_Schedule_Calendars operation/method
 */
if ($get->Get_Assign_Recruiting_Self_Schedule_Calendars(new \StructType\Get_Assign_Recruiting_Self_Schedule_Calendars_RequestType()) !== false) {
    print_r($get->getResult());
} else {
    print_r($get->getLastError());
}
/**
 * Sample call for Get_Recruiting_Self_Schedule_Calendars operation/method
 */
if ($get->Get_Recruiting_Self_Schedule_Calendars(new \StructType\Get_Recruiting_Self_Schedule_Calendars_RequestType()) !== false) {
    print_r($get->getResult());
} else {
    print_r($get->getLastError());
}
/**
 * Sample call for Get_Recruiting_Assessment_Categories operation/method
 */
if ($get->Get_Recruiting_Assessment_Categories(new \StructType\Get_Recruiting_Assessment_Categories_RequestType()) !== false) {
    print_r($get->getResult());
} else {
    print_r($get->getLastError());
}
/**
 * Sample call for Get_Recruiting_Assessment_Category_Security_Segments
 * operation/method
 */
if ($get->Get_Recruiting_Assessment_Category_Security_Segments(new \StructType\Get_Recruiting_Assessment_Category_Security_Segments_RequestType()) !== false) {
    print_r($get->getResult());
} else {
    print_r($get->getLastError());
}
/**
 * Sample call for Get_Maintain_Candidate_List_Assignment operation/method
 */
if ($get->Get_Maintain_Candidate_List_Assignment(new \StructType\Get_Maintain_Candidate_List_Assignment_RequestType()) !== false) {
    print_r($get->getResult());
} else {
    print_r($get->getLastError());
}
/**
 * Sample call for Get_Site_Brands operation/method
 */
if ($get->Get_Site_Brands(new \StructType\Get_Site_Brands_RequestType()) !== false) {
    print_r($get->getResult());
} else {
    print_r($get->getLastError());
}
/**
 * Sample call for Get_Job_Application_Template_Translation operation/method
 */
if ($get->Get_Job_Application_Template_Translation(new \StructType\Get_Job_Application_Template_Translation_RequestType()) !== false) {
    print_r($get->getResult());
} else {
    print_r($get->getLastError());
}
/**
 * Sample call for Get_Masked_Recruiting_Configurations operation/method
 */
if ($get->Get_Masked_Recruiting_Configurations(new \StructType\Get_Masked_Recruiting_Configurations_RequestType()) !== false) {
    print_r($get->getResult());
} else {
    print_r($get->getLastError());
}
/**
 * Sample call for Get_Masked_Job_Requisition_Defaults operation/method
 */
if ($get->Get_Masked_Job_Requisition_Defaults(new \StructType\Get_Masked_Job_Requisition_Defaults_RequestType()) !== false) {
    print_r($get->getResult());
} else {
    print_r($get->getLastError());
}
/**
 * Sample call for Get_Referees operation/method
 */
if ($get->Get_Referees(new \StructType\Get_Referees_RequestType()) !== false) {
    print_r($get->getResult());
} else {
    print_r($get->getLastError());
}
/**
 * Sample call for Get_External_Reference operation/method
 */
if ($get->Get_External_Reference(new \StructType\Get_External_Reference_RequestType()) !== false) {
    print_r($get->getResult());
} else {
    print_r($get->getLastError());
}
/**
 * Sample call for Get_Web_Conference_Interview_Data operation/method
 */
if ($get->Get_Web_Conference_Interview_Data(new \StructType\Get_Web_Conference_Interview_Data_RequestType()) !== false) {
    print_r($get->getResult());
} else {
    print_r($get->getLastError());
}
/**
 * Samples for Put ServiceType
 */
$put = new \ServiceType\Put($options);
$put->setSoapHeaderWorkday_Common_Header($Workday_Common_Header);
/**
 * Sample call for Put_Applicant operation/method
 */
if ($put->Put_Applicant(new \StructType\Put_Applicant_RequestType()) !== false) {
    print_r($put->getResult());
} else {
    print_r($put->getLastError());
}
/**
 * Sample call for Put_Candidate operation/method
 */
if ($put->Put_Candidate(new \StructType\Put_Candidate_RequestType()) !== false) {
    print_r($put->getResult());
} else {
    print_r($put->getLastError());
}
/**
 * Sample call for Put_Candidate_Attachment operation/method
 */
if ($put->Put_Candidate_Attachment(new \StructType\Put_Candidate_Attachment_RequestType()) !== false) {
    print_r($put->getResult());
} else {
    print_r($put->getLastError());
}
/**
 * Sample call for Put_Job_Posting_Site operation/method
 */
if ($put->Put_Job_Posting_Site(new \StructType\Put_Job_Posting_Site_RequestType()) !== false) {
    print_r($put->getResult());
} else {
    print_r($put->getLastError());
}
/**
 * Sample call for Put_Candidate_Photo operation/method
 */
if ($put->Put_Candidate_Photo(new \StructType\Put_Candidate_Photo_RequestType()) !== false) {
    print_r($put->getResult());
} else {
    print_r($put->getLastError());
}
/**
 * Sample call for Put_Background_Check_Package operation/method
 */
if ($put->Put_Background_Check_Package(new \StructType\Put_Background_Check_Package_RequestType()) !== false) {
    print_r($put->getResult());
} else {
    print_r($put->getLastError());
}
/**
 * Sample call for Put_Background_Check operation/method
 */
if ($put->Put_Background_Check(new \StructType\Put_Background_Check_RequestType()) !== false) {
    print_r($put->getResult());
} else {
    print_r($put->getLastError());
}
/**
 * Sample call for Put_Recruiting_Agency_User operation/method
 */
if ($put->Put_Recruiting_Agency_User(new \StructType\Put_Recruiting_Agency_User_RequestType()) !== false) {
    print_r($put->getResult());
} else {
    print_r($put->getLastError());
}
/**
 * Sample call for Put_Primary_Posting operation/method
 */
if ($put->Put_Primary_Posting(new \StructType\Put_Primary_Posting_RequestType()) !== false) {
    print_r($put->getResult());
} else {
    print_r($put->getLastError());
}
/**
 * Sample call for Put_Job_Application_Additional_Data operation/method
 */
if ($put->Put_Job_Application_Additional_Data(new \StructType\Put_Job_Application_Additional_Data_RequestType()) !== false) {
    print_r($put->getResult());
} else {
    print_r($put->getLastError());
}
/**
 * Sample call for Put_Recruiting_Agency operation/method
 */
if ($put->Put_Recruiting_Agency(new \StructType\Put_Recruiting_Agency_RequestType()) !== false) {
    print_r($put->getResult());
} else {
    print_r($put->getLastError());
}
/**
 * Sample call for Put_Recruiting_Agency_Additional_Data operation/method
 */
if ($put->Put_Recruiting_Agency_Additional_Data(new \StructType\Put_Recruiting_Agency_Additional_Data_RequestType()) !== false) {
    print_r($put->getResult());
} else {
    print_r($put->getLastError());
}
/**
 * Sample call for Put_Job_Requisition_Interview_Settings operation/method
 */
if ($put->Put_Job_Requisition_Interview_Settings(new \StructType\Put_Job_Requisition_Interview_Settings_RequestType()) !== false) {
    print_r($put->getResult());
} else {
    print_r($put->getLastError());
}
/**
 * Sample call for Put_Interview operation/method
 */
if ($put->Put_Interview(new \StructType\Put_Interview_RequestType()) !== false) {
    print_r($put->getResult());
} else {
    print_r($put->getLastError());
}
/**
 * Sample call for Put_Interview_Feedback operation/method
 */
if ($put->Put_Interview_Feedback(new \StructType\Put_Interview_Feedback_RequestType()) !== false) {
    print_r($put->getResult());
} else {
    print_r($put->getLastError());
}
/**
 * Sample call for Put_Veteran_Status operation/method
 */
if ($put->Put_Veteran_Status(new \StructType\Put_Veteran_Status_RequestType()) !== false) {
    print_r($put->getResult());
} else {
    print_r($put->getLastError());
}
/**
 * Sample call for Put_Undo_Move_from_Hire operation/method
 */
if ($put->Put_Undo_Move_from_Hire(new \StructType\Put_Undo_Move_from_Hire_RequestType()) !== false) {
    print_r($put->getResult());
} else {
    print_r($put->getLastError());
}
/**
 * Sample call for Put_Recruiting_Self_Schedule_Calendar_Type operation/method
 */
if ($put->Put_Recruiting_Self_Schedule_Calendar_Type(new \StructType\Put_Recruiting_Self_Schedule_Calendar_Type_RequestType()) !== false) {
    print_r($put->getResult());
} else {
    print_r($put->getLastError());
}
/**
 * Sample call for Put_Recruiting_Self_Schedule_Calendar operation/method
 */
if ($put->Put_Recruiting_Self_Schedule_Calendar(new \StructType\Put_Recruiting_Self_Schedule_Calendar_RequestType()) !== false) {
    print_r($put->getResult());
} else {
    print_r($put->getLastError());
}
/**
 * Sample call for Put_Recruiting_Assessment_Category operation/method
 */
if ($put->Put_Recruiting_Assessment_Category(new \StructType\Put_Recruiting_Assessment_Category_RequestType()) !== false) {
    print_r($put->getResult());
} else {
    print_r($put->getLastError());
}
/**
 * Sample call for Put_Recruiting_Assessment_Category_Security_Segment
 * operation/method
 */
if ($put->Put_Recruiting_Assessment_Category_Security_Segment(new \StructType\Put_Recruiting_Assessment_Category_Security_Segment_RequestType()) !== false) {
    print_r($put->getResult());
} else {
    print_r($put->getLastError());
}
/**
 * Sample call for Put_Maintain_Candidate_List_Assignment operation/method
 */
if ($put->Put_Maintain_Candidate_List_Assignment(new \StructType\Put_Maintain_Candidate_List_Assignment_RequestType()) !== false) {
    print_r($put->getResult());
} else {
    print_r($put->getLastError());
}
/**
 * Sample call for Put_Site_Brand operation/method
 */
if ($put->Put_Site_Brand(new \StructType\Put_Site_Brand_RequestType()) !== false) {
    print_r($put->getResult());
} else {
    print_r($put->getLastError());
}
/**
 * Sample call for Put_Job_Application_Template_Translation operation/method
 */
if ($put->Put_Job_Application_Template_Translation(new \StructType\Put_Job_Application_Template_Translation_RequestType()) !== false) {
    print_r($put->getResult());
} else {
    print_r($put->getLastError());
}
/**
 * Sample call for Put_Masked_Recruiting_Configuration operation/method
 */
if ($put->Put_Masked_Recruiting_Configuration(new \StructType\Put_Masked_Recruiting_Configuration_RequestType()) !== false) {
    print_r($put->getResult());
} else {
    print_r($put->getLastError());
}
/**
 * Sample call for Put_Masked_Job_Requisition_Default operation/method
 */
if ($put->Put_Masked_Job_Requisition_Default(new \StructType\Put_Masked_Job_Requisition_Default_RequestType()) !== false) {
    print_r($put->getResult());
} else {
    print_r($put->getLastError());
}
/**
 * Sample call for Put_Referee operation/method
 */
if ($put->Put_Referee(new \StructType\Put_Referee_RequestType()) !== false) {
    print_r($put->getResult());
} else {
    print_r($put->getLastError());
}
/**
 * Sample call for Put_External_Reference operation/method
 */
if ($put->Put_External_Reference(new \StructType\Put_External_Reference_RequestType()) !== false) {
    print_r($put->getResult());
} else {
    print_r($put->getLastError());
}
/**
 * Sample call for Put_Web_Conference_Interview_Data operation/method
 */
if ($put->Put_Web_Conference_Interview_Data(new \StructType\Put_Web_Conference_Interview_Data_RequestType()) !== false) {
    print_r($put->getResult());
} else {
    print_r($put->getLastError());
}
/**
 * Samples for Create ServiceType
 */
$create = new \ServiceType\Create($options);
$create->setSoapHeaderWorkday_Common_Header($Workday_Common_Header);
/**
 * Sample call for Create_Position operation/method
 */
if ($create->Create_Position(new \StructType\Create_Position_RequestType()) !== false) {
    print_r($create->getResult());
} else {
    print_r($create->getLastError());
}
/**
 * Sample call for Create_Job_Requisition operation/method
 */
if ($create->Create_Job_Requisition(new \StructType\Create_Requisition_RequestType()) !== false) {
    print_r($create->getResult());
} else {
    print_r($create->getLastError());
}
/**
 * Sample call for Create_Evergreen_Requisition operation/method
 */
if ($create->Create_Evergreen_Requisition(new \StructType\Create_Evergreen_Requisition_RequestType()) !== false) {
    print_r($create->getResult());
} else {
    print_r($create->getLastError());
}
/**
 * Samples for Edit ServiceType
 */
$edit = new \ServiceType\Edit($options);
$edit->setSoapHeaderWorkday_Common_Header($Workday_Common_Header);
/**
 * Sample call for Edit_Position_Restrictions operation/method
 */
if ($edit->Edit_Position_Restrictions(new \StructType\Edit_Position_Restrictions_RequestType()) !== false) {
    print_r($edit->getResult());
} else {
    print_r($edit->getLastError());
}
/**
 * Sample call for Edit_Job_Requisition operation/method
 */
if ($edit->Edit_Job_Requisition(new \StructType\Edit_Job_Requisition_RequestType()) !== false) {
    print_r($edit->getResult());
} else {
    print_r($edit->getLastError());
}
/**
 * Sample call for Edit_Evergreen_Requisition operation/method
 */
if ($edit->Edit_Evergreen_Requisition(new \StructType\Edit_Evergreen_Requisition_RequestType()) !== false) {
    print_r($edit->getResult());
} else {
    print_r($edit->getLastError());
}
/**
 * Sample call for Edit_Position_Restrictions_Additional_Data operation/method
 */
if ($edit->Edit_Position_Restrictions_Additional_Data(new \StructType\Edit_Position_Restrictions_Additional_Data_RequestType()) !== false) {
    print_r($edit->getResult());
} else {
    print_r($edit->getLastError());
}
/**
 * Sample call for Edit_Job_Requisition_Additional_Data operation/method
 */
if ($edit->Edit_Job_Requisition_Additional_Data(new \StructType\Edit_Job_Requisition_Additional_Data_RequestType()) !== false) {
    print_r($edit->getResult());
} else {
    print_r($edit->getLastError());
}
/**
 * Samples for Unpost ServiceType
 */
$unpost = new \ServiceType\Unpost($options);
$unpost->setSoapHeaderWorkday_Common_Header($Workday_Common_Header);
/**
 * Sample call for Unpost_Job operation/method
 */
if ($unpost->Unpost_Job(new \StructType\Unpost_Job_RequestType()) !== false) {
    print_r($unpost->getResult());
} else {
    print_r($unpost->getLastError());
}
/**
 * Samples for Post ServiceType
 */
$post = new \ServiceType\Post($options);
$post->setSoapHeaderWorkday_Common_Header($Workday_Common_Header);
/**
 * Sample call for Post_Job operation/method
 */
if ($post->Post_Job(new \StructType\Post_Job_RequestType()) !== false) {
    print_r($post->getResult());
} else {
    print_r($post->getLastError());
}
/**
 * Samples for Update ServiceType
 */
$update = new \ServiceType\Update($options);
$update->setSoapHeaderWorkday_Common_Header($Workday_Common_Header);
/**
 * Sample call for Update_Job_Posting operation/method
 */
if ($update->Update_Job_Posting(new \StructType\Update_Job_Posting_RequestType()) !== false) {
    print_r($update->getResult());
} else {
    print_r($update->getLastError());
}
/**
 * Samples for Close ServiceType
 */
$close = new \ServiceType\Close($options);
$close->setSoapHeaderWorkday_Common_Header($Workday_Common_Header);
/**
 * Sample call for Close_Job_Requisition operation/method
 */
if ($close->Close_Job_Requisition(new \StructType\Close_Job_Requisition_RequestType()) !== false) {
    print_r($close->getResult());
} else {
    print_r($close->getLastError());
}
/**
 * Sample call for Close_Evergreen_Requisition operation/method
 */
if ($close->Close_Evergreen_Requisition(new \StructType\Close_Evergreen_Requisition_RequestType()) !== false) {
    print_r($close->getResult());
} else {
    print_r($close->getLastError());
}
/**
 * Samples for Manage ServiceType
 */
$manage = new \ServiceType\Manage($options);
$manage->setSoapHeaderWorkday_Common_Header($Workday_Common_Header);
/**
 * Sample call for Manage_Job_Requisition_Freeze operation/method
 */
if ($manage->Manage_Job_Requisition_Freeze(new \StructType\Manage_Job_Requisition_Freeze_RequestType()) !== false) {
    print_r($manage->getResult());
} else {
    print_r($manage->getLastError());
}
/**
 * Samples for Assess ServiceType
 */
$assess = new \ServiceType\Assess($options);
$assess->setSoapHeaderWorkday_Common_Header($Workday_Common_Header);
/**
 * Sample call for Assess_Candidate operation/method
 */
if ($assess->Assess_Candidate(new \StructType\Assess_Candidate_RequestType()) !== false) {
    print_r($assess->getResult());
} else {
    print_r($assess->getLastError());
}
/**
 * Samples for Move ServiceType
 */
$move = new \ServiceType\Move($options);
$move->setSoapHeaderWorkday_Common_Header($Workday_Common_Header);
/**
 * Sample call for Move_Job_Requisition operation/method
 */
if ($move->Move_Job_Requisition(new \StructType\Move_Job_Requisition_RequestType()) !== false) {
    print_r($move->getResult());
} else {
    print_r($move->getLastError());
}
/**
 * Sample call for Move_Candidate_to_Linked_Job_Requisition operation/method
 */
if ($move->Move_Candidate_to_Linked_Job_Requisition(new \StructType\Move_Candidate_to_Linked_Job_Requisition_RequestType()) !== false) {
    print_r($move->getResult());
} else {
    print_r($move->getLastError());
}
/**
 * Sample call for Move_Candidate_to_Linked_Evergreen_Requisition operation/method
 */
if ($move->Move_Candidate_to_Linked_Evergreen_Requisition(new \StructType\Move_Candidate_to_Linked_Evergreen_Requisition_RequestType()) !== false) {
    print_r($move->getResult());
} else {
    print_r($move->getLastError());
}
/**
 * Sample call for Move_Candidate operation/method
 */
if ($move->Move_Candidate(new \StructType\Move_Candidate_RequestType()) !== false) {
    print_r($move->getResult());
} else {
    print_r($move->getLastError());
}
/**
 * Samples for Submit ServiceType
 */
$submit = new \ServiceType\Submit($options);
$submit->setSoapHeaderWorkday_Common_Header($Workday_Common_Header);
/**
 * Sample call for Submit_Recruiting_Agency_Candidate operation/method
 */
if ($submit->Submit_Recruiting_Agency_Candidate(new \StructType\Submit_Recruiting_Agency_Candidate_RequestType()) !== false) {
    print_r($submit->getResult());
} else {
    print_r($submit->getLastError());
}
/**
 * Samples for Refera ServiceType
 */
$refera = new \ServiceType\Refera($options);
$refera->setSoapHeaderWorkday_Common_Header($Workday_Common_Header);
/**
 * Sample call for Refer_a_Candidate operation/method
 */
if ($refera->Refer_a_Candidate(new \StructType\Refer_a_Candidate_RequestType()) !== false) {
    print_r($refera->getResult());
} else {
    print_r($refera->getLastError());
}
/**
 * Samples for Assign ServiceType
 */
$assign = new \ServiceType\Assign($options);
$assign->setSoapHeaderWorkday_Common_Header($Workday_Common_Header);
/**
 * Sample call for Assign_Recruiting_Self_Schedule_Calendar operation/method
 */
if ($assign->Assign_Recruiting_Self_Schedule_Calendar(new \StructType\Assign_Recruiting_Self_Schedule_Calendar_RequestType()) !== false) {
    print_r($assign->getResult());
} else {
    print_r($assign->getLastError());
}
/**
 * Samples for Offer ServiceType
 */
$offer = new \ServiceType\Offer($options);
$offer->setSoapHeaderWorkday_Common_Header($Workday_Common_Header);
/**
 * Sample call for Offer operation/method
 */
if ($offer->Offer(new \StructType\Offer_RequestType()) !== false) {
    print_r($offer->getResult());
} else {
    print_r($offer->getLastError());
}
/**
 * Samples for Employment ServiceType
 */
$employment = new \ServiceType\Employment($options);
$employment->setSoapHeaderWorkday_Common_Header($Workday_Common_Header);
/**
 * Sample call for Employment_Agreement operation/method
 */
if ($employment->Employment_Agreement(new \StructType\Employment_Agreement_RequestType()) !== false) {
    print_r($employment->getResult());
} else {
    print_r($employment->getLastError());
}
/**
 * Samples for Import ServiceType
 */
$import = new \ServiceType\Import($options);
$import->setSoapHeaderWorkday_Common_Header($Workday_Common_Header);
/**
 * Sample call for Import_Applicant operation/method
 */
if ($import->Import_Applicant(new \StructType\Import_Applicant_RequestType()) !== false) {
    print_r($import->getResult());
} else {
    print_r($import->getLastError());
}
